Name:       recode
Version:    3.7.14
Release:    2%{?dist}
Summary:    Conversion between character sets and surfaces
License:    GPLv3+ and LGPLv3+ and BSD and OFSFDL
URL:        https://github.com/rrthomas/recode
Source0:     %{url}/releases/download/v%{version}/recode-%{version}.tar.gz
Patch0:      recode-3.7.13-Rename-coliding-hash-functions.patch
Patch1:      0001-src-task.c-only-close-input-stream-when-we-opened-it.patch


BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  gettext-devel
BuildRequires:  make
BuildRequires:  libtool
BuildRequires:  texinfo
BuildRequires:  python3-Cython
BuildRequires:  python3-devel >= 3.7.5
BuildRequires:  python3-setuptools

%description
The recode tool and library convert files between character sets and surfaces.
It recognizes or produces over 200 different character sets (or about 300 if
combined with an iconv library) and transliterates files between almost any
pair. When exact transliteration is not possible, it gets rid of the offending
character or falls back on an approximations.

%package devel
Summary:    Header files for development using recode library
License:    LGPLv3+
Requires:   %{name} = %{version}-%{release}

%description devel
This package provides the header files for a recode library.

%prep
%autosetup -p1 -n %{name}-%{version}
autoreconf -fi

%build
export PYTHON=%{__python3}
%configure \
    --without-dmalloc \
    --disable-gcc-warnings \
    --enable-largefile \
    --enable-nls \
    --disable-rpath \
    --enable-shared \
    --disable-static
%{make_build}

%check
make check

%install
%{make_install}
%find_lang %{name}

rm -r %{buildroot}%{_infodir}/dir

rm %{buildroot}%{_libdir}/*.la

%files -f %{name}.lang
%license COPYING COPYING-LIB
%doc AUTHORS NEWS README THANKS TODO
%{_mandir}/*/*
%{_infodir}/recode.info*
%{_bindir}/*
%{_libdir}/librecode.so.3
%{_libdir}/librecode.so.3.*

%files devel
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.7.14-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.14-1
- initial build
